Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class DynamicItem.DynamicItemAttribut

    java.lang.Object
      de.jsystems.framework.common.DynamicItem.DynamicItemAttribut

Enclosing class:
  DynamicItem

private class DynamicItem.DynamicItemAttribut
extends Object

Interne Klasse zum Verwalten der einzelnen Attribute in einem DynamicItem. Hier wird der Name fuer das Attribut sowie der Typ und der Wert gespeichert. Zusaetzlich koennen hier die entsprechenden Eigenschaften des Attributes abgefragt werden.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary
`private boolean` | `isNull` Attribut auf NULL setzen
`private org.apache.log4j.Logger` | `logger`
`private String` | `name` Name des Attributes.
`private Class` | `typ` Typ des Attributes.
`private Object` | `value` Wert des Attributes.

Constructor Summary
`DynamicItem.DynamicItemAttribut(String name, Class typ)` Erzeugt ein neues Attribute-Objekt

Method Summary
`Class` | `getTyp()` Gibt den Typ des Attributes zur�ck.
`Object` | `getValue()` Gibt den aktuellen Wert des Attributes zur�ck.
`boolean` | `isNull()` Ist das Attribut auf NULL gesetzt worden?
`void` | `setNull()` Setzt das Attribut auf NULL.
`void` | `setValue(Object value)` Setzt den Wert des Attributes.
`String` | `toString()` Wandelt das Attribut in einen String um.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    private org.apache.log4j.Logger logger

### value

    private Object value

  Wert des Attributes.

### name

    private String name

  Name des Attributes.

### typ

    private Class typ

  Typ des Attributes.

### isNull

    private boolean isNull

  Attribut auf NULL setzen

Constructor Detail

### DynamicItem.DynamicItemAttribut

    public DynamicItem.DynamicItemAttribut(String name,
                                           Class typ)

  Erzeugt ein neues Attribute-Objekt

Parameters:
  `name` - Der Name des neuen Attributes.
  `typ` - Der Typ des neuen Attributes.

Method Detail

### setValue

    public void setValue(Object value)

  Setzt den Wert des Attributes.

  Parameters:
    `value` - Der neue Wert f�r das Attribut.

### getValue

    public Object getValue()

  Gibt den aktuellen Wert des Attributes zur�ck.

  Returns:
    Der aktuelle Wert des Attributes.

### getTyp

    public Class getTyp()

  Gibt den Typ des Attributes zur�ck.

  Returns:
    Der Typ des Attributes.

### toString

    public String toString()

  Wandelt das Attribut in einen String um. Hier wird der Name des Attributes zur�ckgegeben.

  Returns:
    Der Name des Attributes.

### setNull

    public void setNull()

  Setzt das Attribut auf NULL.

### isNull

    public boolean isNull()

  Ist das Attribut auf NULL gesetzt worden?

  Returns:
    `true`, wenn der Wert des Attributes auf `NULL` gesetzt wurde, ansonsten`false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD